# Contributing to Pallas

Pallas is a community driven script and your help means a lot! There are many different ways you can contribute to the project including but not limited to:

* Reporting a bug by opening a new issue
* Discussing aspects of the code with developers
* Submitting a fix using pull request
* Proposing new features
* Becoming a maintainer

## Report Bugs Using GitLab's [issues](https://gitlab.com/wector/scripts/pallas/-/issues)

We use GibLab issues to track public bufs or feature requests. Report of a bug or request a new feature by [opening a new issue](https://gitlab.com/wector/scripts/pallas/-/issues/new)

## Write bug reports with detail, background, and optionally sample code

Do your best to include:

* A quick summary and/or background
* Steps to reproduce
    * Be specific!
    * Give sample code if you can. This will help our maintainers to identify the bug and issue a fix
* What you expected would happen
* What actually happens
* Add the appropriate tags to the issue
* Anything else you may think is helpful for our maintainers to identify the bug
* Remember you can always go back and comment on an issue if you forgot something or if maintainers require more information from you.

TODO: Add a good/bad example here

## We Use GitLab, So All The Magic Happens Here

Pull requests are the best way to propose changes to the codebase. We actively welcome your pull requests:

1. Fork the repo and create your branch from `master`
2. Make changes to your fork to fix a bug or add a new feature
3. Ensure your code works alternatively ask someone else to help you test
4. Make sure you clean up and optimize your code remember to follow the code style guidelines
5. Issue that pull request!

## Use a Consistent Coding Style

TODO: Add very descriptive information of our coding style which should include but not limited to: variable naming (local and global), function naming, filename naming, generally what to do and not to do...

TODO: Suggest .editorconfig compliant IDE

TODO: Libraries (under Libs) must never be repeated in general code. It shall be included only once inside Libs directory and never again. Also don't include a new library willy nilly, it must serve an important role.

## TODO: Anything else?
